__all__ = ('IsClientDefaultPoint',)

from expressmoney.api import *


SERVICE = 'scoring'
APP = 'external_scorings'


class IsClientDefaultID(ID):
    _service = SERVICE
    _app = APP
    _view_set = 'is_client_default'


class IsClientDefaultCreateContract(Contract):
    pdl_score = serializers.DecimalField(max_digits=3, decimal_places=2)


class IsClientDefaultResponseContract(Contract):
    is_default = serializers.BooleanField()


class IsClientDefaultPoint(CreatePointMixin, ResponseMixin, ContractPoint):
    _point_id = IsClientDefaultID()
    _create_contract = IsClientDefaultCreateContract
    _response_contract = IsClientDefaultResponseContract
